Subject: Re: Refactor booting-without-of.txt

From: David Gibson <[email-masked]>
Date: Tue, 16 Oct 2007 12:38:45 +1000

On Mon, Oct 15, 2007 at 11:14:44AM -0600, Grant Likely wrote:
> On 10/15/07, Olof Johansson <[email-masked]> wrote:
> > On Mon, Oct 15, 2007 at 10:08:44AM -0600, Grant Likely wrote:
> > > Adding the Linux expected device tree bindings to
> > > booting-without-of.txt seems to be getting a little unwieldy.  Plus
> > > with more than one arch using the device tree (powerpc, sparc &
> > > microblaze) the device tree bindings aren't necessarily powerpc only
> > > (the Xilinx devices certainly fall in this category).
> > >
> > > Anyone have comments about splitting the expected device tree bindings
> > > out of booting-without-of.txt into a separate directory?
> >
> > The flat device tree is, in spite of what some people would like it to be,
> > not open firmware, nor is it the same as their bindings. So I think we'd
> > be doing ourselves a disservice by continuing to associate them together.
> > All it would take is a rename of the directory, unfortunately i don't
> > have any suggestions on better names though.
> 
> I think I need to stick with the of prefix.  All the support API in
> include/linux/of_* is prefixed with "of_" already, so convention is
> established.
> 
> How about Documentation/of-device-tree?

It seems a little counterintuitive to change names from "booting
*without* of" to "of *"...

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson